<?php 
include 'koneksi.php';

$produk = $_POST['produk'];
$jumlah = $_POST['jumlah'];
$produk_jumlah = $_POST['produk_jumlah'];

session_start();
$jumlah_isi_keranjang = count($_SESSION['keranjang']);

if ($jumlah > $produk_jumlah) {
	// bila jumlah > stock
	$_SESSION['error_jumlah'] = 'Jumlah melebihi stock!';
} else {
	unset($_SESSION['error_jumlah']);
	for($a = 0;$a < $jumlah_isi_keranjang; $a++){
		$_SESSION['keranjang'][$a] = array(
			'produk' => $produk[$a],
			'jumlah' => $jumlah[$a]
		);
	}
}

header("location:keranjang.php");
?>